Start document processing
POST
/api/intake/{conversation_id}/prepare
const url = 'https://example.com/api/intake/example/prepare';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/intake/example/prepare \ --header 'Authorization: Bearer <token>'Enqueues a doc-processing job so the worker ingests documents while the user reviews context. Call after files are uploaded and deal name is set. The worker publishes a doc_processing_complete event when done.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” conversation_id
required
Conversation Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
GenerateResponse
object
conversation_id
required
Conversation Id
string
success
required
Success
boolean
conversation_state
Any of:
ConversationStateSnapshot
Compact state object included in mutation responses so the frontend
can update its wizard without a separate /status poll.
object
status
required
Status
string
file_count
File Count
integer
has_deal_name
Has Deal Name
boolean
progress_step
Progress Step
string
suggested_name_parts
null
Example
{ "conversation_state": { "file_count": 0, "has_deal_name": false, "progress_step": "Unknown" }}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}